﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Website.Data;
using Website.ViewModels;
using System.Linq;
using Website.ViewModels.Blog;

namespace Website.Controllers {
	public class HomeController : Controller {
		private readonly IBlogApi _blogApi;
		private readonly IGitApi _gitApi;

		public HomeController(IBlogApi blogApi, IGitApi gitApi) {
			_gitApi = gitApi;
			_blogApi = blogApi;
		}

		public async Task<IActionResult> Index() {
			var post = await _blogApi.GetLatestPostAsync();
			var repo = (await _gitApi.GetRepositories("rob")).First();
			var branch = (await _gitApi.GetBranches("rob", repo.Name)).First();
			var commit = await _gitApi.GetCommit("rob", repo.Name, branch.Commit.Id);

			var model = new HomeViewModel {
				BlogPost = new BlogPostViewModel(post, false),
				GitCommit = new GitCommitViewModel(repo, branch, commit)
			};

			return View(model);
		}
	}
}
